saihoufung
Posts: 30
Joined: Fri Jun 22, 2018 1:09 am

sudo apt-get update && sudo apt-get upgrade error on Jessie

Wed Aug 08, 2018 3:41 am

I tried to update the packages for my Raspbian Jessie and at last there are few files in errors and cannot completed the installation.

Code: Select all

sudo apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
4 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] Y
Setting up procps (2:3.3.9-9+deb8u1) ...
insserv: Script dump is broken: missing end of LSB comment.
insserv: exiting now!
update-rc.d: error: insserv rejected the script header
dpkg: error processing package procps (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up dbus (1.8.22-0+deb8u1) ...
insserv: Script dump is broken: missing end of LSB comment.
insserv: exiting now!
update-rc.d: error: insserv rejected the script header
dpkg: error processing package dbus (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up rpcbind (0.2.1-6+deb8u2) ...
insserv: warning: current start runlevel(s) (empty) of script `rpcbind' overrides LSB defaults (S).
insserv: warning: current stop runlevel(s) (0 1 6 S) of script `rpcbind' overrides LSB defaults (0 1 6).
insserv: Script dump is broken: missing end of LSB comment.
insserv: exiting now!
update-rc.d: error: insserv rejected the script header
dpkg: error processing package rpcbind (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up raspi-config (20170705) ...
insserv: Script dump is broken: missing end of LSB comment.
insserv: warning: script 'dump' missing LSB tags and overrides
Can't exec "systemctl": No such file or directory at /usr/sbin/update-rc.d line 68.
insserv: Script dump is broken: missing end of LSB comment.
insserv: exiting now!
update-rc.d: error: insserv rejected the script header
dpkg: error processing package raspi-config (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 procps
 dbus
 rpcbind
 raspi-config
E: Sub-process /usr/bin/dpkg returned an error code (1)
Any solution / clue to solve it? Thank you very much.

Regards.

fruitoftheloom
Posts: 24093
Joined: Tue Mar 25, 2014 12:40 pm
Location: Delightful Dorset

Re: sudo apt-get update && sudo apt-get upgrade error on Jessie

Wed Aug 08, 2018 6:17 am

saihoufung wrote:
Wed Aug 08, 2018 3:41 am
I tried to update the packages for my Raspbian Jessie and at last there are few files in errors and cannot completed the installation.

Code: Select all

sudo apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
4 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] Y
Setting up procps (2:3.3.9-9+deb8u1) ...
insserv: Script dump is broken: missing end of LSB comment.
insserv: exiting now!
update-rc.d: error: insserv rejected the script header
dpkg: error processing package procps (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up dbus (1.8.22-0+deb8u1) ...
insserv: Script dump is broken: missing end of LSB comment.
insserv: exiting now!
update-rc.d: error: insserv rejected the script header
dpkg: error processing package dbus (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up rpcbind (0.2.1-6+deb8u2) ...
insserv: warning: current start runlevel(s) (empty) of script `rpcbind' overrides LSB defaults (S).
insserv: warning: current stop runlevel(s) (0 1 6 S) of script `rpcbind' overrides LSB defaults (0 1 6).
insserv: Script dump is broken: missing end of LSB comment.
insserv: exiting now!
update-rc.d: error: insserv rejected the script header
dpkg: error processing package rpcbind (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up raspi-config (20170705) ...
insserv: Script dump is broken: missing end of LSB comment.
insserv: warning: script 'dump' missing LSB tags and overrides
Can't exec "systemctl": No such file or directory at /usr/sbin/update-rc.d line 68.
insserv: Script dump is broken: missing end of LSB comment.
insserv: exiting now!
update-rc.d: error: insserv rejected the script header
dpkg: error processing package raspi-config (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 procps
 dbus
 rpcbind
 raspi-config
E: Sub-process /usr/bin/dpkg returned an error code (1)
Any solution / clue to solve it? Thank you very much.

Regards.

You should when using apt-get run the update command first

Code: Select all

sudo apt-get update

apt-get has various options for 'fixing'

https://linux.die.net/man/8/apt-get


Please note that Raspbian Jessie became end of life 12 months ago !
Thinking outside the box is better than burying your head in the sand...

saihoufung
Posts: 30
Joined: Fri Jun 22, 2018 1:09 am

Re: sudo apt-get update && sudo apt-get upgrade error on Jessie

Wed Aug 08, 2018 10:21 am

fruitoftheloom wrote:
Wed Aug 08, 2018 6:17 am
saihoufung wrote:
Wed Aug 08, 2018 3:41 am
I tried to update the packages for my Raspbian Jessie and at last there are few files in errors and cannot completed the installation.

Code: Select all

sudo apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
4 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] Y
Setting up procps (2:3.3.9-9+deb8u1) ...
insserv: Script dump is broken: missing end of LSB comment.
insserv: exiting now!
update-rc.d: error: insserv rejected the script header
dpkg: error processing package procps (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up dbus (1.8.22-0+deb8u1) ...
insserv: Script dump is broken: missing end of LSB comment.
insserv: exiting now!
update-rc.d: error: insserv rejected the script header
dpkg: error processing package dbus (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up rpcbind (0.2.1-6+deb8u2) ...
insserv: warning: current start runlevel(s) (empty) of script `rpcbind' overrides LSB defaults (S).
insserv: warning: current stop runlevel(s) (0 1 6 S) of script `rpcbind' overrides LSB defaults (0 1 6).
insserv: Script dump is broken: missing end of LSB comment.
insserv: exiting now!
update-rc.d: error: insserv rejected the script header
dpkg: error processing package rpcbind (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up raspi-config (20170705) ...
insserv: Script dump is broken: missing end of LSB comment.
insserv: warning: script 'dump' missing LSB tags and overrides
Can't exec "systemctl": No such file or directory at /usr/sbin/update-rc.d line 68.
insserv: Script dump is broken: missing end of LSB comment.
insserv: exiting now!
update-rc.d: error: insserv rejected the script header
dpkg: error processing package raspi-config (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 procps
 dbus
 rpcbind
 raspi-config
E: Sub-process /usr/bin/dpkg returned an error code (1)
Any solution / clue to solve it? Thank you very much.

Regards.

You should when using apt-get run the update command first

Code: Select all

sudo apt-get update

apt-get has various options for 'fixing'

https://linux.die.net/man/8/apt-get


Please note that Raspbian Jessie became end of life 12 months ago !
Hi there,

Firstly I am using apt-get update then apt-get upgrade.
But at the end there are few packages not installed with the errors shown.

Above what you see is portion, if I copy started from apt-get update, all the lists will overloaded in this page, that is why I only paste the "apt-get upgrade".

Return to “Troubleshooting”